#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	PerlIO
%define		pnam	eol
Summary:	PerlIO::eol - PerlIO layer for normalizing line endings
Summary(pl.UTF-8):	PerlIO::eol - warstwa PerlIO do normalizacji końców wierszy
Name:		perl-PerlIO-eol
Version:	0.17
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PerlIO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da9c763968374de47a49942d35689f00
URL:		http://search.cpan.org/dist/PerlIO-eol/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PerlIO::eol Perl module normalizes any of "CR", "LF", "CRLF" and
"Native" into the designated line ending. It works for both input and
output handles.

%description -l pl.UTF-8
Moduł Perla PerlIO::eol służy do normalizacji dowolnych spośród
następujących zakończeń wierszy: "CR", "LF", "CRLF" do zadanej
postaci. Działa zarówno dla plików wejściowych, jak i dla wyjściowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/PerlIO/eol.pm
%dir %{perl_vendorarch}/auto/PerlIO/eol
%attr(755,root,root) %{perl_vendorarch}/auto/PerlIO/eol/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PerlIO-eol.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> b4d7fa1
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 7b2c83f
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 519a03f
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> a5f358c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fa3d924
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 022f551
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> c37ec79
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a10acc3
- up to 0.17

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 987cc7a
- up to 0.16

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e40ef78
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e16f716
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8e29b40
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8753cf9
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 87c84dd
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> b1b11aa
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 2d7bde5
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8c5c306
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 34e886b
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a2ca9b
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 7523658
- release 3

